<form (ngSubmit)="update()" class="col-12">

    <h1 mat-dialog-title>Modifier mon profil</h1>

    <div mat-dialog-content class="d-flex flex-column align-items-center">
        <!--DEBUT Input de recuperation de l'email -->

        <mat-form-field class="col-12">
                <div class="input-group-prepend col-12">
                    <input matInput placeholder="Enter your email" class="col-12" name="email"
                        [(ngModel)]="user.email">
                    <button mat-icon-button matSuffix>
                        <mat-icon class="d-flex align-items-center">
                            email
                        </mat-icon>
                    </button>
                </div>
        </mat-form-field>
        <!--FIN Input de recuperation de l'email -->

        <!-- DEBUT Input de recuperation du password -->
        <mat-form-field class="col-12">
                <div class="input-group-prepend col-12">
                    <input matInput placeholder="Enter your password" class="col-12" name="password"
                        id="password-register" [(ngModel)]="user.password" [type]="hide ? 'password' : 'text'">
                    <button mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'"
                        [attr.aria-pressed]="hide">
                        <mat-icon class="d-flex align-items-center">{{hide ? 'visibility_off' : 'visibility'}}
                        </mat-icon>
                    </button>
                </div>
        </mat-form-field>
        <!-- FIN Input de recuperation du password -->

        <!-- DEBUT Input de verification du password -->
        <mat-form-field class="col-12">
            <div class="input-group input-group-lg">
                <div class="input-group-prepend col-12">
                    <input matInput placeholder="Repeat your password" class="col-12" name="repeat" 
                        [(ngModel)]="repeat" [type]="hide2 ? 'password' : 'text'">
                    <button mat-icon-button matSuffix (click)="hide2 = !hide2" [attr.aria-label]="'Hide2 password'"
                        [attr.aria-pressed]="hide2">
                        <mat-icon class="d-flex align-items-center">{{hide2 ? 'visibility_off' : 'visibility'}}
                        </mat-icon>
                    </button>
                </div>
            </div>
        </mat-form-field>
        <!-- FIN Input de verification du password -->
        <mat-form-field>
            <input matInput [matDatepicker]="picker" placeholder="Choose a date" [(ngModel)]="user.birthdate" name="birthdate">
            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
            <mat-datepicker #picker></mat-datepicker>
        </mat-form-field>
    </div>
    <div mat-dialog-actions class="justify-content-between">
        <button mat-button (click)="onNoClick()">Retour</button>
        <button mat-button (click)="update()" cdkFocusInitial>Valider</button>
    </div>